<?php
require_once 'db.php';

class proveedores extends conn { 



//Metodo para mostrar todos los proveedores
public function getAllProve()
{
$conn = parent::crearconn();
$sql = " SELECT prov.ID,prov.Fecha,prov.Nombre_Empresa,prov.Rif_Empresa,prov.Producto_Provee, prov.tipo_documento, d.Nombre as Nombre_proveedor, d.Cedula as Cedula_proveedor, c.Nombre as p_provee, d.tipo_documento as tipodoc  FROM proveedores prov 
INNER JOIN datos_personales d on prov.CI_Datos = d.Cedula 
INNER join categoria c on prov.Producto_Provee = c.ID 
where prov.Estado = 1"; 
$result = $conn->query($sql);
$proveedores = array();
if ($result->num_rows > 0) {
     while ($row = $result->fetch_assoc()) {
         $proveedores[] = $row;
       }   
    }   
    return $proveedores;
}   
//Metodo para mostrar todos los proveedores eliminados logicamente
public function getAllProveElim()
{
$conn = parent::crearconn();
$sql = " SELECT prov.ID,prov.Fecha,prov.Nombre_Empresa,prov.Rif_Empresa,prov.Producto_Provee, d.Nombre as Nombre_proveedor, d.Cedula as Cedula_proveedor, c.Nombre as p_provee  FROM proveedores prov 
INNER JOIN datos_personales d on prov.CI_Datos = d.Cedula 
INNER join categoria c on prov.Producto_Provee = c.ID 
where prov.Estado = 0"; 
$result = $conn->query($sql);
$proveedores = array();
if ($result->num_rows > 0) {
     while ($row = $result->fetch_assoc()) {
         $proveedores[] = $row;
       }   
    }   
    return $proveedores;
}

//Metodo para editar un proveedor
public function update($proId,$editname,$rif,$producto)
{ 
$conn = parent::crearconn();
mysqli_query ($conn, "UPDATE `proveedores` SET  `Nombre_Empresa`  = '$editname', `Rif_Empresa`  = '$rif',`Producto_Provee`  = '$producto'  WHERE `ID` = '$proId' ");
mysqli_close($conn);
}

//Metodo para eliminar logicamente un proveedor
public function deletprove($proveID)
{
$conn = parent::crearconn();
$proveID = $conn->real_escape_string($proveID);
$sql = "UPDATE `proveedores` set `Estado` = '0' WHERE ID = '$proveID'";
$resultado = $conn->query($sql);
  return $resultado;

}

//Metodo para restaurar un proveedor
public function restaurarprove($proveId)
{
$conn = parent::crearconn();
$proveId = $conn->real_escape_string($proveId);
$sql = "UPDATE `proveedores` set `Estado` = '1' WHERE ID = '$proveId'";
$resultado = $conn->query($sql);
  return $resultado;
} 
}
?>  